package com.example.civilizedcity.controller;

import com.example.civilizedcity.common.BaseController;
import com.example.civilizedcity.common.ResponseBean;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaPerson;
import com.example.civilizedcity.service.TaIssueService;
import com.example.civilizedcity.vo.StatVo;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 查询统计
 */
@RestController
public class StatController extends BaseController {

    @Autowired
    TaIssueService taIssueService;

    @ApiOperation("小程序首页查询统计")
    @GetMapping("/ma/index-stat")
    public ResponseBean getMaIndex(@ApiParam("身份") @RequestParam(value = "duty", required = false) String duty) throws Exception {
        SysUser user = null;
        TaPerson person = null;

        try {
            user = currentUser();
        } catch (Exception e) {
            //
        }
        try {
            person = currentPerson();
        } catch (Exception e) {
            //
        }

        List<StatVo> result = taIssueService.statMaIndex(user, duty);

        return ResponseBean.success(result);
    }
}
